<template>
    <!-- 解锁业务账户 -->
    <a-modal class="add-custom" title="解锁业务账户" v-model:visible="visible" @cancel="cancel" centered :maskClosable="false" width="890px">
        <template #footer>
            <a-button key="submit" type="primary" :loading="loading" @click="submit">解锁</a-button>
        </template>
        <Detail :selectedData="selectedRow" />
    </a-modal>
</template>

<script lang="ts">
import { defineComponent, ref, PropType } from 'vue';
import { requestResultLoadingAndInfo } from '@/common/methods/request/resultInfo';
import { loginAccountOperate } from '@/services/proto/accountinfo';
import { LoginaccountOperateReq } from '@/services/proto/accountinfo/interface';
import { ErmcpLoginUser } from '@/services/go/ermcp/account/interface';
import { Modal } from 'ant-design-vue';
import Detail from '../detail-commom-business/index.vue';
import { _closeModal } from '@/common/setup/modal/modal';

export default defineComponent({
    name: 'account_info_business_btn_unlocked',
    components: { Detail },
    emits: ['cancel', 'update'],
    props: {
        selectedRow: {
            default: {},
            type: Object as PropType<ErmcpLoginUser>,
        },
    },
    setup(props, context) {
        // 控制关闭弹窗
        const { visible, cancel } = _closeModal(context);
        const loading = ref<boolean>(false);
        function submit() {
            Modal.confirm({
                title: '是否确认解锁该账户',
                okText: '确认解锁',
                cancelText: '取消',
                onOk() {
                    let reqParam: LoginaccountOperateReq = {
                        userid: props.selectedRow.userid,
                        loginid: props.selectedRow.loginid,
                        operatetype: 6, // 5: 锁定 6：解锁
                        logintaaccounts: [],
                    };
                    requestResultLoadingAndInfo(loginAccountOperate, reqParam, loading, ['解锁锁定成功', '解锁锁定失败:']).then(() => {
                        cancel(true);
                    });
                },
                onCancel() {},
            });
        }
        return {
            visible,
            cancel,
            submit,
            loading,
        };
    },
});
</script>